Summary:	HarfBuzz - internationalized text shaping library - MinGW32 cross version
Summary(pl.UTF-8):	Rasteryzer fontów TrueType - wersja skrośna dla MinGW32
Name:		crossmingw32-harfbuzz
Version:	0.9.36
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-%{version}.tar.bz2
# Source0-md5:	8290671001399f762a5ec10b1a8c3519
Patch0:		harfbuzz-mingw32.patch
URL:		http://www.freedesktop.org/wiki/HarfBuzz
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.13
# cairo is used only for utilities, which are not packaged
#BuildRequires:	crossmingw32-cairo >= 1.8.0
BuildRequires:	crossmingw32-freetype >= 2.3.8
BuildRequires:	crossmingw32-glib2 >= 2.16
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.20
Requires:	crossmingw32-freetype >= 2.3.8
Requires:	crossmingw32-glib2 >= 2.16
Requires:	crossmingw32-gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# see <harfbuzz/internal/ftserv.h>, the real horror
%define		specflags	-fno-strict-aliasing

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
Internationalized OpenType text layout and rendering library.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka rozmieszczająca i rysująca tekst z fontów OpenType,
obsługująca wiele języków.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static harfbuzz library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka harfbuzz (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static harfbuzz library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka harfbuzz (wersja skrośna MinGW32).

%package dll
Summary:	DLL harfbuzz library for Windows
Summary(pl.UTF-8):	Biblioteka DLL harfbuzz dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-freetype-dll >= 2.3.8
Requires:	crossmingw32-glib2-dll >= 2.16
Requires:	wine

%description dll
DLL harfbuzz library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL harfbuzz dla Windows.

%prep
%setup -q -n harfbuzz-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
export PKG_CONFIG_LIBDIR=%{_pkgconfigdir}
%configure \
	--target=%{target} \
	--build=i686-pc-linux-gnu \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-silent-rules \
	--enable-static \
	--without-cairo \
	--with-freetype \
	--with-glib \
	--without-graphite2 \
	--with-html-dir=%{_gtkdocdir} \
	--without-icu \
	--with-uniscribe

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -rf $RPM_BUILD_ROOT%{_gtkdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%{_libdir}/libharfbuzz.dll.a
%{_libdir}/libharfbuzz.la
%{_includedir}/harfbuzz
%{_pkgconfigdir}/harfbuzz.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libharfbuzz-*.dll
%changelog
* Sat Nov 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-harfbuzz.git;a=log;h=master

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 1e9d646
- updated to 0.9.36

* Thu Aug 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 22f0a93
- updated to 0.9.35

* Sat Jul 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 4060976
- updated to 0.9.33

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 50a2941
- updated to 0.9.32

* Thu Jul 17 2014 Jakub Bogusz <qboosh@pld-linux.org> cee3b7c
- updated to 0.9.31

* Fri Jul 11 2014 Jakub Bogusz <qboosh@pld-linux.org> d0e4034
- updated to 0.9.30

* Sun Jun 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 8cce0ae
- updated to 0.9.29

* Sun May 18 2014 Jakub Bogusz <qboosh@pld-linux.org> a278f83
- disable cairo: used only for utils, which are not packaged
- release 2

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 30c04fc
- updated to 0.9.28

* Fri Mar 21 2014 Jakub Bogusz <qboosh@pld-linux.org> b54c0db
- updated to 0.9.27
- enhanced mingw32 patch (MemoryBarrier requires at least _WIN32_WINNT_VISTA)

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> b614b88
- updated to 0.9.26

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> d1ab387
- updated to 0.9.25

* Thu Nov 14 2013 Jakub Bogusz <qboosh@pld-linux.org> c1f5955
- updated to 0.9.24

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 7d25dbd
- release 2 (libpng 1.6 rebuild)

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 16106ed
- updated to 0.9.23

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 4afa73a
- updated to 0.9.22

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 3621153
- updated to 0.9.21

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 2bcfc9b
- updated to 0.9.20

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 2f67740
- updated to 0.9.19
- removed obsolete noicu patch

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 15a364e
- updated to 0.9.18
- added noicu patch to fix build without ICU library

